Billing

Get subscriptions

AuthBearer (JWT)
GroupBilling
Rate limitSee Rate Limits
GET/api/billing/projects/{projectId}/subscriptions

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, BillingApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const billing = new BillingApi(configuration);
import { Configuration, BillingApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const billing = new BillingApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await billing.getSubscriptions("proj_ICuXP2k4J1Qe");
const { data: result } = await billing.getSubscriptions("proj_ICuXP2k4J1Qe");

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes

Responses

200Subscriptions list
json
{
  "subscriptions": [
    {
      "_id": "65a1b2c3d4e5f6789012345e",
      "status": "active",
      "plan": "65a1b2c3d4e5f6789012345d",
      "customerEmail": "customer@example.com",
      "createdAt": "2024-01-15T10:00:00.000Z"
    }
  ],
  "total": 1
}
{
  "subscriptions": [
    {
      "_id": "65a1b2c3d4e5f6789012345e",
      "status": "active",
      "plan": "65a1b2c3d4e5f6789012345d",
      "customerEmail": "customer@example.com",
      "createdAt": "2024-01-15T10:00:00.000Z"
    }
  ],
  "total": 1
}
401

Errors

CodeMeaning
401
Edit this page on GitHub